org.apache.hc.client5.http.impl

## Enum ChainElement

- java.lang.Object
- - java.lang.Enum<ChainElement>
  - - org.apache.hc.client5.http.impl.ChainElement

All Implemented Interfaces:
  Serializable, Comparable<ChainElement>

    public enum ChainElement
    extends Enum<ChainElement>

Supported elements of request execution pipeline.

Since:
  5.0

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BACK_OFF`
`CACHING`
`CONNECT`
`MAIN_TRANSPORT`
`PROTOCOL`
`REDIRECT`
`RETRY`

### Method Summary

Methods
`static ChainElement` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ChainElement[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### REDIRECT

    public static final ChainElement REDIRECT

#### BACK_OFF

    public static final ChainElement BACK_OFF

#### RETRY

    public static final ChainElement RETRY

#### CACHING

    public static final ChainElement CACHING

#### PROTOCOL

    public static final ChainElement PROTOCOL

#### CONNECT

    public static final ChainElement CONNECT

#### MAIN_TRANSPORT

    public static final ChainElement MAIN_TRANSPORT

### Method Detail

#### values

    public static ChainElement[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ChainElement c : ChainElement.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ChainElement valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null